Skip to content
Structly Docs
한국어

stly

stly members

On this page

This page is generated from the public contract. Descriptions are shown in the original Korean.

stly members get#

Organization 소속 User 단건

  • HTTP request: GET /api/organizations/{organization_id}/members/{id}
  • Authentication modes: User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, display_name, email, role, state, updated_at, user_id

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly members get 00000000-0000-0000-0000-000000000001 --organization 00000000-0000-0000-0000-000000000001

stly members list#

Organization 소속 User 목록

  • HTTP request: GET /api/organizations/{organization_id}/members
  • Authentication modes: User session
  • Changes records: No

Options

NameTypeRequiredDescription
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, display_name, email, role, state, updated_at, user_id

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly members list --organization 00000000-0000-0000-0000-000000000001

stly members update#

소속 종료·재개 또는 관리자 권한 변경

  • HTTP request: PATCH /api/organizations/{organization_id}/members/{id}
  • Authentication modes: User session
  • Changes records: Yes
  • Input JSON (--input) required
  • --if-match required

Check the input JSON structure with stly schema members update.

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--inputstringYesJSON 원문 파일 또는 stdin(-)
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, display_name, email, role, state, updated_at, user_id

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly members update 00000000-0000-0000-0000-000000000001 --organization 00000000-0000-0000-0000-000000000001 --input input.json --if-match '"상세 GET의 ETag"'